List payment requests
curl --request GET \
--url https://api.natural.com/payment-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/payment-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/payment-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/payment-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/payment-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/payment-requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/payment-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "paymentRequest",
"id": "prq_019cd1798d7a68fe07c972bed48fb7fd",
"attributes": {
"amount": 2500,
"currency": "USD",
"fee": null,
"status": "OPEN",
"payerCanPay": true,
"payerCanDecline": true,
"description": "Invoice 7",
"tags": {
"invoice_id": "inv_7"
},
"requesterName": "Acme Payments",
"requesterEmail": "billing@acmepayments.com",
"requesterAvatarUrl": "https://ntl-public-assets-prod.s3.us-west-2.amazonaws.com/party-avatars/pty_019cd1798d617f65a79cb965dda9eac3/2026-01-04_ab12cd34ef56ab90.webp",
"requesterHandle": "@acme",
"walletName": "Operating",
"payerName": "Ada Lovelace",
"payerEmail": "ada@example.com",
"payerPhone": "+14155550100",
"payerAvatarUrl": "https://static.natural.com/avatars/ada-lovelace.png",
"payerHandle": "@ada-lovelace",
"payerPartyId": "pty_019cd1798d681091fcf1dc98afb72d01",
"payerIdentifierType": "email",
"payerIdentifier": "ada@example.com",
"initiatorParty": {
"id": "pty_019cd1798d617f65a79cb965dda9eac3",
"name": "Acme Payments",
"handle": "@acme",
"avatarUrl": "https://ntl-public-assets-prod.s3.us-west-2.amazonaws.com/party-avatars/pty_019cd1798d617f65a79cb965dda9eac3/2026-01-04_ab12cd34ef56ab90.webp"
},
"paymentLinkUrl": "https://www.natural.com/pay/token_123",
"transactionId": null,
"expiresAt": null,
"createdAt": "2026-04-15T00:00:00.000Z",
"updatedAt": "2026-04-15T00:00:00.000Z"
},
"relationships": {
"initiatorAgent": {
"data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
}
},
"requesterParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"payerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d681091fcf1dc98afb72d01"
}
},
"payerAgent": {
"data": null
},
"payment": {
"data": null
}
}
}
],
"meta": {
"pagination": {
"hasMore": false,
"nextCursor": null
}
}
}Payment Requests
List payment requests
List your outgoing payment requests, each as a Payment Request object. By default, canceled requests are left out; set includeCanceled to true to include them.
GET
/
payment-requests
List payment requests
curl --request GET \
--url https://api.natural.com/payment-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/payment-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/payment-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/payment-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/payment-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.natural.com/payment-requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/payment-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "paymentRequest",
"id": "prq_019cd1798d7a68fe07c972bed48fb7fd",
"attributes": {
"amount": 2500,
"currency": "USD",
"fee": null,
"status": "OPEN",
"payerCanPay": true,
"payerCanDecline": true,
"description": "Invoice 7",
"tags": {
"invoice_id": "inv_7"
},
"requesterName": "Acme Payments",
"requesterEmail": "billing@acmepayments.com",
"requesterAvatarUrl": "https://ntl-public-assets-prod.s3.us-west-2.amazonaws.com/party-avatars/pty_019cd1798d617f65a79cb965dda9eac3/2026-01-04_ab12cd34ef56ab90.webp",
"requesterHandle": "@acme",
"walletName": "Operating",
"payerName": "Ada Lovelace",
"payerEmail": "ada@example.com",
"payerPhone": "+14155550100",
"payerAvatarUrl": "https://static.natural.com/avatars/ada-lovelace.png",
"payerHandle": "@ada-lovelace",
"payerPartyId": "pty_019cd1798d681091fcf1dc98afb72d01",
"payerIdentifierType": "email",
"payerIdentifier": "ada@example.com",
"initiatorParty": {
"id": "pty_019cd1798d617f65a79cb965dda9eac3",
"name": "Acme Payments",
"handle": "@acme",
"avatarUrl": "https://ntl-public-assets-prod.s3.us-west-2.amazonaws.com/party-avatars/pty_019cd1798d617f65a79cb965dda9eac3/2026-01-04_ab12cd34ef56ab90.webp"
},
"paymentLinkUrl": "https://www.natural.com/pay/token_123",
"transactionId": null,
"expiresAt": null,
"createdAt": "2026-04-15T00:00:00.000Z",
"updatedAt": "2026-04-15T00:00:00.000Z"
},
"relationships": {
"initiatorAgent": {
"data": {
"type": "agent",
"id": "agt_019cd1798d637a4da75dce386343931d"
}
},
"requesterParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_019cd1798d714ce765e0486a417c23dc"
}
},
"payerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d681091fcf1dc98afb72d01"
}
},
"payerAgent": {
"data": null
},
"payment": {
"data": null
}
}
}
],
"meta": {
"pagination": {
"hasMore": false,
"nextCursor": null
}
}
}Authorizations
Headers
Query Parameters
Limit the list to one outgoing group. Open is still waiting on the payer. Completed is in flight or settled and not returned. Closed is failed, declined, canceled, expired, and returned. When set, this replaces includeCompleted and includeCanceled.
Available options:
open, completed, closed Was this page helpful?